package org.springblade.common.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 提现类型
 */
@AllArgsConstructor
@Getter
public enum WithdrawType {
	BALANCE_WITHDRAW(1, "BALANCE_WITHDRAW"),
	POINT_WITHDRAW(2, "POINT_WITHDRAW"),
	RECEIVABLE_WITHDRAW(3, "RECEIVABLE_WITHDRAW"),
	;

	@EnumValue
	private int value;
	@JsonValue
	private String dec;
}
